Bug 722545 - MapServer SQL injection vulnerabilities
Summary: MapServer SQL injection vulnerabilities
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mapserver
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Pavel Lisý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-2703, CVE-2011-2704, CVE-2011-2975
TreeView+ depends on / blocked
 
Reported: 2011-07-15 15:49 UTC by Even Rouault
Modified: 2011-08-02 02:07 UTC (History)
5 users (show)

Fixed In Version: mapserver-5.6.7-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-02 02:00:39 UTC
Type: ---


Attachments (Terms of Use)

Description Even Rouault 2011-07-15 15:49:43 UTC
MapServer upstream has released security patches related to SQL injection vulnerabilities. This vulnerabilities apply to all previous MapServer versions. See upstream bug and fixes: http://trac.osgeo.org/mapserver/ticket/3903

Comment 1 Fedora Update System 2011-07-19 13:59:38 UTC
mapserver-5.6.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mapserver-5.6.7-1.fc14

Comment 2 Fedora Update System 2011-07-19 13:59:47 UTC
mapserver-5.6.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mapserver-5.6.7-1.fc15

Comment 3 Jan Lieskovsky 2011-07-19 15:23:24 UTC
(In reply to comment #0)
> MapServer upstream has released security patches related to SQL injection
> vulnerabilities.

Thank you for the report, Even. I am going to steal this one to be security response product (since it's possible MapServer EPEL-5 version might be affected by this issue too).

Comment 4 Jan Lieskovsky 2011-07-19 16:21:09 UTC
> I am going to steal this one to be security
> response product (since it's possible MapServer EPEL-5 version might be
> affected by this issue too).

Have decided to dedicate bug #723293 for this (there aren't only SQL injection flaws, but also some buffer overflow flaw in older versions). => Feel free to close this bug once Fedora mapserver updates have been pushed to Fedora -stable repository.

Comment 5 Fedora Update System 2011-07-22 19:27:53 UTC
Package mapserver-5.6.7-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mapserver-5.6.7-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mapserver-5.6.7-1.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-08-02 02:00:31 UTC
mapserver-5.6.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-08-02 02:07:18 UTC
mapserver-5.6.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.